package com.randomsoftware.dance;
import com.randomsoftware.common.animation.*;
import com.randomsoftware.common.resloader.*;

import java.util.*;
import danger.app.*;
import danger.ui.*;
import danger.util.*;
import danger.audio.*;

public class ResLoaderResumeShow implements ResLoaderShow
{
   public ResLoaderResumeShow()
   {
      _bmp = Dance.resutil().getOpaqueBitmap (Resources.IDB_RESUME);
   }

   public void destroy()
   {
      _bmp = null;
   }

   public int update (boolean ready)
   {
      return (ready) ? SHOW_IS_FINISHED : SHOW_STILL_RUNNING;
   }

   public void paint (Pen pp)
   {
      pp.setColor (Color.BLACK);
      pp.fillRect (0, 0, Config.SCREEN_WIDTH, Config.SCREEN_HEIGHT);
      pp.drawBitmap ((Config.SCREEN_WIDTH - _bmp.getWidth())/2, (Config.SCREEN_HEIGHT - _bmp.getHeight())/2, _bmp);
   }

   Bitmap _bmp;
}

