package com.randomsoftware.threed;
import com.randomsoftware.common.animation.*;
import com.randomsoftware.common.resloader.*;
import com.randomsoftware.common.meshlib.*;

import java.util.*;
import danger.app.*;
import danger.ui.*;
import danger.util.*;
import danger.audio.*;

public class ResourceManager extends ResLoader
{
   public ResourceManager()
   {
      super (ThreeD.window(), new ResLoaderFullLogo (Resources.IDSND_LOGO));
   }

   public void load()
   {
      mrTeapot = new MeshResource (ThreeD.resutil().getDatabase(), Resources.IDMESH_TEAPOT);
   }

   public void unload()
   {
      mrTeapot = null;
   }

   MeshResource mrTeapot; 
}

