package com.randomsoftware.xaiden;
import com.randomsoftware.common.animation.*;

import java.util.*;
import danger.app.*;
import danger.ui.*;
import danger.util.*;
import danger.audio.*;

public class Layout
{
   public static final int DEPTH_STARS = 1000;
   public static final int DEPTH_POINTER = 100;
   public static final int DEPTH_ROCK = 25;
   public static final int DEPTH_BASE = 20;
   public static final int DEPTH_BEAM = 6;
   public static final int DEPTH_BULLET = 5;
   public static final int DEPTH_SHIPSPRITE = 0;
   public static final int DEPTH_TITLE = -500;

   public static final int WIDTH_SCREEN = 240;
   public static final int HEIGHT_SCREEN = 160;

   public static final float BACKGROUND_PARALLAX = 0.5f;
   public static final float STAR_PARALLAX_MIN = 1.0f;
   public static final float STAR_PARALLAX_MAX = 3.0f;
   public static final float PARALLAX_BASE = 1.0f;
   public static final float PARALLAX_BULLET = 1.0f;
   public static final float PARALLAX_ROCK = 1.0f;

   // World coords range from <[-1..1],[-1..1]>, where your ship starts each
   // level at <0,0>.  We turn those world coordinates into pixel offsets by
   // multiplying by the world scale.

   public static final float WORLD_SCALE = 2000f;
}

