package com.randomsoftware.xaiden;
import com.randomsoftware.common.animation.*;

import java.util.*;
import danger.app.*;
import danger.ui.*;
import danger.util.*;
import danger.audio.*;

public class StarField
{
   static final int STAR_COUNT = 50;

   public StarField()
   {
      for (int ii = 0; ii < STAR_COUNT; ++ii)
         _stars[ii] = new StarSprite (StarSprite.pickSize());
   }

   public void adjust (ObjectMotion shipMotion)
   {
      for (int ii = 0; ii < STAR_COUNT; ++ii)
      {
         _stars[ii].adjust (shipMotion);

         if (!_stars[ii].isOnScreen())
         {
            _stars[ii].destroy();
            _stars[ii] = new StarSprite (StarSprite.pickSize(), shipMotion);
         }
      }
   }

   StarSprite _stars[] = new StarSprite[ STAR_COUNT ];
}

