package com.randomsoftware.xaiden;
import com.randomsoftware.common.animation.*;

import java.util.*;
import danger.app.*;
import danger.ui.*;
import danger.util.*;
import danger.audio.*;

public class TitleSprite extends AnimSprite
{
   public TitleSprite()
   {
      super (Xaiden.window(), Layout.DEPTH_TITLE);
      _bmp = Xaiden.res().getTransparentBitmap (Resources.IDB_TITLE);

      Rect rr = new Rect();
      rr.left = (Layout.WIDTH_SCREEN - _bmp.getWidth())/2;
      rr.right = rr.left + _bmp.getWidth();
      rr.top = 10;
      rr.bottom = rr.top + _bmp.getHeight();
      setRect(rr);
   }

   public void paint (Pen pp)
   {
      pp.drawBitmap (0, 0, _bmp);
   }

   Bitmap _bmp;
}

