package com.randomsoftware.vncclient;

import danger.ui.*;
import danger.app.*;
import java.io.*;

public class DataSerializer extends ByteArrayOutputStream
{
   public DataSerializer()
   {
   }

   public byte[] getBytes()
   {
      return toByteArray();
   }

   public void writeBoolean (boolean in)
   {
      write (in ? 1 : 0);
   }

   public void writeInteger (int in)
   {
      write (in);
   }

   public void writeString (String in)
   {
      byte[] data = in.getBytes();
      write (data.length);
      write (data, 0, data.length);
   }
}

