package com.randomsoftware.vncclient;

import danger.ui.*;
import danger.app.*;
import java.io.*;

public class DataUnserializer extends ByteArrayInputStream
{
   public DataUnserializer (byte[] data)
   {
      super(data, 0, data.length);
   }

   public int readInteger() throws java.io.IOException
   {
      return read();
   }

   public boolean readBoolean() throws java.io.IOException
   {
      return (readInteger() != 0);
   }

   public String readString() throws java.io.IOException
   {
      int len = readInteger();
      byte[] data = new byte[len];
      read (data);
      return new String(data);
   }
}

