package com.randomsoftware.common.meshlib;

import java.util.*;
import danger.app.*;
import danger.ui.*;
import danger.util.*;
import danger.audio.*;

public class Face extends BasicFace
{
   Face (Scene scene, Mesh mesh, TextureData[] td, VertexData[] vd, FaceData fd)
   {
      super (scene, mesh, td, vd, fd);
   }

   public Face (Scene scene, Mesh mesh, Vertex v1, Vertex v2, Vertex v3, Texture tx)
   {
      super (scene, mesh, v1, v2, v3, tx);
   }

   public boolean isTextured()
   {
      return false;
   }

   public void paintTextured (Pen pp, int[] ax, int[] ay)
   {
      paintSolid (pp, ax, ay);
   }

   public void setTextureCoords (int u1, int v1, int u2, int v2, int u3, int v3)
   {
   }
}

