package com.randomsoftware.common.meshlib;

import java.util.*;
import java.io.*;
import danger.app.*;
import danger.ui.*;
import danger.util.*;
import danger.audio.*;

public class TextureData
{
   public int r;
   public int g;
   public int b;
   Texture texture;

   public TextureData (int rr, int gg, int bb)
   {
      r = rr;
      g = gg;
      b = bb;
      texture = null;
   }

   TextureData (DataInputStream ds, boolean haveTextures, String[] imageNames, ImageList imageList) throws IOException
   {
      int vv = ds.readInt();
      r = (vv >> 24) & 0xFF;
      g = (vv >> 16) & 0xFF;
      b = (vv >>  8) & 0xFF;
      texture = null;
   }
}

