package com.randomsoftware.common.meshlib;

import java.util.*;
import java.io.*;
import danger.app.*;
import danger.ui.*;
import danger.util.*;
import danger.audio.*;

public class BrightImageMapping extends ImageMapping
{
   public BrightImageMapping (int idr)
   {
      _idr = idr;
   }

   public void load (ResourceDatabase rdb)
   {
      _bmp = Bitmap.convertToScreenColorSpace (rdb.getBitmap(_idr));
   }

   public void unload()
   {
      _bmp = null;
   }

   public Bitmap getBitmap (Face ff)
   {
      if ((ff != null) && (ff._dCamera > ShadedImageMapping.DEPTH_ALWAYS_SOLID))
         return null;

      return _bmp;
   }

   int _idr;
   Bitmap _bmp;
}

