package com.randomsoftware.common.meshlib;

import java.util.*;
import danger.app.*;
import danger.ui.*;
import danger.util.*;
import danger.audio.*;

public class FaceLight
{
   int clrR;
   int clrG;
   int clrB;
   Light light;
   Face face;

   public void insertIntoFace()
   {
      // Insert(face.facelights)
      if ((prevFaceLightInFace = face._lastFaceLight) != null)
         prevFaceLightInFace.nextFaceLightInFace = this;
      else
         face._firstFaceLight = this;
      nextFaceLightInFace = null;
      face._lastFaceLight = this;
   }

   public void insertIntoLight()
   {
      // Insert(light.facelights)
      if ((prevFaceLightInLight = light._lastFaceLight) != null)
         prevFaceLightInLight.nextFaceLightInLight = this;
      else
         light._firstFaceLight = this;
      nextFaceLightInLight = null;
      light._lastFaceLight = this;
   }

   public void removeFromFace()
   {
      // Remove(light.facelights)
      if (nextFaceLightInFace != null)
         nextFaceLightInFace.prevFaceLightInFace = prevFaceLightInFace;
      else
         face._lastFaceLight = prevFaceLightInFace;
      if (prevFaceLightInFace != null)
         prevFaceLightInFace.nextFaceLightInFace = nextFaceLightInFace;
      else
         face._firstFaceLight = nextFaceLightInFace;
   }

   public void removeFromLight()
   {
      // Remove(light.facelights)
      if (nextFaceLightInLight != null)
         nextFaceLightInLight.prevFaceLightInLight = prevFaceLightInLight;
      else
         light._lastFaceLight = prevFaceLightInLight;
      if (prevFaceLightInLight != null)
         prevFaceLightInLight.nextFaceLightInLight = nextFaceLightInLight;
      else
         light._firstFaceLight = nextFaceLightInLight;
   }

   FaceLight nextFaceLightInFace;
   FaceLight prevFaceLightInFace;

   FaceLight nextFaceLightInLight;
   FaceLight prevFaceLightInLight;

   FaceLight nextFaceLightInFactory;
}

