package com.randomsoftware.common.meshlib;

import java.util.*;
import danger.app.*;
import danger.ui.*;
import danger.util.*;
import danger.audio.*;

public class FaceLightFactory
{
   public FaceLight alloc()
   {
      FaceLight fl;
      if ((fl = _firstFreeFaceLight) != null)
      {
         _firstFreeFaceLight = fl.nextFaceLightInFactory;
         return fl;
      }

      return new FaceLight();
   }

   public void release (FaceLight fl)
   {
      fl.nextFaceLightInFactory = _firstFreeFaceLight;
      _firstFreeFaceLight = fl;
   }

   FaceLight _firstFreeFaceLight = null;
}

