package com.randomsoftware.common.resloader;
import com.randomsoftware.common.animation.*;

import java.util.*;
import danger.app.*;
import danger.ui.*;
import danger.util.*;
import danger.audio.*;

class ResLoaderLine
{
   float iy;
   float iyOld;
   float dy;
   int cFramesLeft;
   int clr;

   static final int cCHANGESPEED = 10;
   static final float cyMAXSPEED = 4.0f;

   public ResLoaderLine()
   {
      iy = iyOld = Math.abs(_randgen.nextInt()) % ResLibCompat.SCREEN_HEIGHT;
      dy = (cyMAXSPEED-0.5f) - (Math.abs(_randgen.nextInt()) % (int)(cyMAXSPEED*2));
      cFramesLeft = Math.abs(_randgen.nextInt()) % cCHANGESPEED;
      clr = 64 + Math.abs(_randgen.nextInt()) % 64;
   }

   public void update()
   {
      if (cFramesLeft > 0)
      {
         --cFramesLeft;
      }
      else
      {
         dy = (cyMAXSPEED-0.5f) - (Math.abs(_randgen.nextInt()) % (int)(cyMAXSPEED*2));
         cFramesLeft = Math.abs(_randgen.nextInt()) % cCHANGESPEED;

         if (iy < 0 && dy < 0)
            dy = 0 - dy;
         else if (iy > ResLibCompat.SCREEN_HEIGHT && dy > 0)
            dy = 0 - dy;
      }

      iyOld = iy;
      iy += dy;
   }

   static Random _randgen = new Random();
}

