package com.randomsoftware.threed;
import com.randomsoftware.common.animation.*;

import java.util.*;
import danger.app.*;
import danger.ui.*;
import danger.util.*;
import danger.audio.*;

public class PaintUtil
{
   public static void tileBitmap (Pen pp, Rect rTarget, Bitmap bmp, int xCorner, int yCorner)
   {
      int cxBitmap = bmp.getWidth();
      int cyBitmap = bmp.getHeight();
      xCorner = (xCorner % cxBitmap) - cxBitmap;
      yCorner = (yCorner % cyBitmap) - cyBitmap;

      for (int yy = yCorner; yy < rTarget.bottom; yy += cyBitmap)
      {
         for (int xx = xCorner; xx < rTarget.right; xx += cxBitmap)
         {
            pp.drawBitmap (xx, yy, bmp);
         }
      }
   }
}

