package com.randomsoftware.vncclient;

import java.util.*;
import danger.app.*;
import danger.ui.*;
import danger.util.*;
import danger.audio.*;
import danger.system.*;

public class Compat
{
   static int Event_getVerticalCount (Event event)
   {
      return (int)(event.getVerticalCount());
   }

   static int Event_getHorizontalCount (Event event)
   {
      return (int)(event.getHorizontalCount());
   }

   static int Event_getType (Event event)
   {
      return event.getType();
   }

   static int Event_getWhat (Event event)
   {
      return event.getWhat();
   }

   static Object Event_getArgument (Event event)
   {
      return event.getArgument();
   }

   static int Event_getModifiers (Event event)
   {
      return event.getModifiers();
   }

   static void Event_setModifiers (Event event, int val)
   {
      event.setModifiers(val);
   }

   static int Event_getData (Event event)
   {
      return event.getData();
   }

   static Font Font_findBoldSystemFont()
   {
      return Font.findSystemFont (Font.F_BOLD);
   }

   static Font Font_findBoldOutlineSystemFont()
   {
      return Font.findSystemFont (Font.F_BOLD | Font.F_OUTLINE);
   }

   static Font Font_findVariant (Font in, int size, int style)
   {
      return in.findVariant (size, style);
   }

   static int Font_getHeight (Font in)
   {
      return in.getHeight();
   }

   static void Pen_drawBitmap (Pen pp, int xx, int yy, Bitmap bmp, int alpha)
   {
      pp.drawBitmap (xx, yy, bmp, alpha);
   }

   static danger.app.Timer new_Timer (int rate, boolean repeats, Listener listener, int data)
   {
      return new danger.app.Timer (rate, repeats, listener, data);
   }

   static void VolumeManager_muteTrackball()
   {
      VolumeManager.mute(VolumeSelector.TRACKBALL);
   }

   static void VolumeManager_unmuteTrackball()
   {
      VolumeManager.unmute(VolumeSelector.TRACKBALL);
   }

   static final int SCREEN_WIDTH = HardwareCapabilities.getScreenWidth();
   static final int SCREEN_HEIGHT = HardwareCapabilities.getScreenHeight();

   static final int EVENTTYPE_DEVICE_NAVIGATION = EventType.DEVICE_NAVIGATION;
   static final int WHEEL_LEFT = 99990;
   static final int WHEEL_RIGHT = 99991;

   static final int Font_F_PLAIN = Font.F_PLAIN;
}

