package com.randomsoftware.vncclient;

import java.util.*;
import danger.app.*;
import danger.ui.*;
import danger.util.*;

public class HelpTopicsDialog extends DialogWindow
{
   public HelpTopicsDialog()
   {
   }

   public boolean receiveEvent (Event ee)
   {
      switch (Compat.Event_getType(ee))
      {
         case ResourceEvents.EVENT_VIEWHELP_INTRO:
            showTopic (Resources.IDS_HELP_INTRO);
            break;
         case ResourceEvents.EVENT_VIEWHELP_SERVER:
            showTopic (Resources.IDS_HELP_SERVER);
            break;
         case ResourceEvents.EVENT_VIEWHELP_CLIENT:
            showTopic (Resources.IDS_HELP_CLIENT);
            break;
         case ResourceEvents.EVENT_VIEWHELP_BASICS:
            showTopic (Resources.IDS_HELP_BASICS);
            break;
         case ResourceEvents.EVENT_VIEWHELP_ABOUT:
            showTopic (Resources.IDS_HELP_ABOUT);
            break;
      }
      return super.receiveEvent(ee);
   }

   protected void showTopic (int ids)
   {
      ResourceDatabase rdb = VncClient.app().getResources();
      HelpContentDialog content = (HelpContentDialog)rdb.getDialog(Resources.ID_DIALOG_HELP_CONTENT);
      content.setText(rdb.getString(ids));
      content.show();
   }
}

