package com.randomsoftware.common.meshlib;

import java.util.*;
import danger.app.*;
import danger.ui.*;
import danger.util.*;
import danger.audio.*;

public class Texture extends BasicTexture
{
   public ImageMapping imageMapping;

   public Texture (TextureData td)
   {
      super (td);
      imageMapping = td.imageMapping;
   }

   public Texture (int r, int g, int b, ImageList imageList, String name)
   {
      super (r, g, b);
      imageMapping = (imageList == null) ? null : imageList.getImageMapping (name);
   }
}

