package com.randomsoftware.common.terrain;
import com.randomsoftware.common.animation.*;
import com.randomsoftware.common.meshlib.*;

import java.util.*;
import danger.app.*;
import danger.ui.*;
import danger.util.*;
import danger.audio.*;

public class VertexMap
{
   public VertexMap (int mapsize)
   {
      _map = new GroundVertex[mapsize][mapsize];
   }

   GroundVertex get (int ix, int iy)
   {
      return _map[iy][ix];
   }

   void clear (int ix, int iy)
   {
      _map[iy][ix] = null;
   }

   void set (int ix, int iy, GroundVertex gv)
   {
      _map[iy][ix] = gv;
   }

   GroundVertex[][] _map;
}

